summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Petar Petrov <ppetrov@paju.oulu.fi>2011-11-28 22:07:31 -0600
committer Niels Horn <niels.horn@slackbuilds.org>2011-12-10 21:58:15 -0200
commite361dc4986bdbfeddcf63475d23b9825ea097062 (patch)
tree771655dcc440d8622b1002cde63ae4f82fb22bed
parent7f4e464d16b79cbddde1d62fb888896f27d1dc33 (diff)
downloadslackbuilds-e361dc4986bdbfeddcf63475d23b9825ea097062.tar.gz
slackbuilds-e361dc4986bdbfeddcf63475d23b9825ea097062.tar.xz
misc/chemical-mime-data: Added (various chemical MIME types)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--misc/chemical-mime-data/README5
-rw-r--r--misc/chemical-mime-data/chemical-mime-data.SlackBuild100
-rw-r--r--misc/chemical-mime-data/chemical-mime-data.info10
-rw-r--r--misc/chemical-mime-data/doinst.sh9
-rw-r--r--misc/chemical-mime-data/slack-desc19
5 files changed, 143 insertions, 0 deletions
diff --git a/misc/chemical-mime-data/README b/misc/chemical-mime-data/README
new file mode 100644
index 0000000000..5d31dbc96d
--- /dev/null
+++ b/misc/chemical-mime-data/README
@@ -0,0 +1,5 @@
+The chemical-mime-data package is a collection of data files to add
+support for various chemical MIME types on Linux/UNIX desktops, such
+as KDE and GNOME.
+
+This requires gnome-mime-data.
diff --git a/misc/chemical-mime-data/chemical-mime-data.SlackBuild b/misc/chemical-mime-data/chemical-mime-data.SlackBuild
new file mode 100644
index 0000000000..1a39a66e50
--- /dev/null
+++ b/misc/chemical-mime-data/chemical-mime-data.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for chemical-mime-data
+
+# Copyright 2011 Petar Petrov, ppetrov@paju.oulu.fi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=chemical-mime-data
+VERSION=${VERSION:-0.1.94}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-update-database=no \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make DESTDIR=$PKG install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING HACKING INSTALL NEWS README THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/chemical-mime-data/chemical-mime-data.info b/misc/chemical-mime-data/chemical-mime-data.info
new file mode 100644
index 0000000000..002fe49899
--- /dev/null
+++ b/misc/chemical-mime-data/chemical-mime-data.info
@@ -0,0 +1,10 @@
+PRGNAM="chemical-mime-data"
+VERSION="0.1.94"
+HOMEPAGE="http://chemical-mime.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/chemical-mime/chemical-mime-data-0.1.94.tar.gz"
+MD5SUM="ca54b5fbd7f43ee5380e394bfd273b95"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"
+APPROVED="rworkman"
diff --git a/misc/chemical-mime-data/doinst.sh b/misc/chemical-mime-data/doinst.sh
new file mode 100644
index 0000000000..ba65467f24
--- /dev/null
+++ b/misc/chemical-mime-data/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/misc/chemical-mime-data/slack-desc b/misc/chemical-mime-data/slack-desc
new file mode 100644
index 0000000000..8f1dcc420a
--- /dev/null
+++ b/misc/chemical-mime-data/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+chemical-mime-data: chemical-mime-data (Support for various chemical MIME types)
+chemical-mime-data:
+chemical-mime-data: The chemical-mime-data package is a collection of data files
+chemical-mime-data: to add support for various chemical MIME types on Linux/UNIX
+chemical-mime-data: desktops, such as KDE and GNOME.
+chemical-mime-data:
+chemical-mime-data:
+chemical-mime-data:
+chemical-mime-data:
+chemical-mime-data:
+chemical-mime-data: \ No newline at end of file